% Program demo_1_3
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
% LTI system, Chebyshev filter
% Computations of frequency response and pole-zero plot
clear all, close all
[B,A] = cheby1(5,1,0.4) % Chebyshev filter design
[H,f] = freqz(B,A,250,2); Mag=abs(H); % Frequency response and magnitude response
Phase = unwrap(angle(H)); [Gd,f] = grpdelay(B,A,250,2); % Phase response and group delay 
figure (1)
subplot(2,2,1), zplane(B,A),text(1,0.9,'(a)'), subplot(2,2,2), plot(f,Mag), axis([0,1,0,1.1]),text(0.8,0.97,'(b)')
xlabel('\omega/\pi'), ylabel('Magnitude')
subplot(2,2,3), plot(f,Phase), axis([0,1,-8,0]),text(0.8,-1,'(c)')
xlabel(' \omega/\pi'), ylabel('Phase, rad')
subplot(2,2,4), plot(f,Gd), axis([0,1,0,15])
xlabel('\omega/\pi'), ylabel('Group delay, samples'),text(0.8,13,'(d)')
